﻿#define USE_DATATABLE

using System;
using System.Collections.Generic;
using System.Data;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Text;
using InvokeSolutions.Docx;
using InvokeSolutions.Docx.Data;



namespace docx
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            string[] templatePath = { @".\INVOICE.docx", @".\INVOICE2.docx" };
            string[] mergedPath = { @".\INVOICE_merged.docx", @".\INVOICE2_merged.docx" };

            for (int i = 0; i < templatePath.Length; i++)
            {
                File.Copy(templatePath[i], mergedPath[i], true);
            }

            DocumentDataSource source = new DocumentDataSource();
            source["COMPANY"] = "CSD";
            //source["TOTAL"] = 989;
            //source["SUBTOTAL"] = 89;
            //source["TAV"] = "50";

            source["ITEMS"] = DataItem.ConvertFrom(new[]
			                                       	{
			                                       		new
			                                       			{
			                                       				QTY = 5,
			                                       				DESC = "adfafdas",
			                                       				PRICE = "15",
			                                       				L_TOTAL = "75"
			                                       			},
																		                                       		new
			                                       			{
			                                       				QTY = 5,
			                                       				DESC = "adfafdas",
			                                       				PRICE = "15",
			                                       				L_TOTAL = "75"
			                                       			},
																		                                       		new
			                                       			{
			                                       				QTY = 5,
			                                       				DESC = "adfafdas",
			                                       				PRICE = "15",
			                                       				L_TOTAL = "75"
			                                       			}
			                                       	});
            foreach (var path in mergedPath)
            {
                DocumentRenderer.ProcessDocument(path, source);

            }
            //Process.Start(mergedPath);
        }


    }
}