﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InvokeSolutions.Docx;
using System.IO;
using System.Diagnostics;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            // create a copy of template file
            File.Copy("templates\\formats.docx", "compiled\\formats_ready.docx", true);

            // create datasource
            DocumentDataSource source = new DocumentDataSource();

            // assign value to parameter %NAME%
            source["NAME"] = "Bi\r\nll";
            // assign debt amount. pay attention that the value will be rounded while merging
            source["DEBT_AMOUNT"] = 1.5255m;

            // process the document
            DocumentRenderer.ProcessDocument("compiled\\formats_ready.docx", source);

            // run MS Word to see merged document
            // NOTE: this will cause crash if you don't have application associated with docx extension
            Process.Start("compiled\\formats_ready.docx");
        }
    }
}
