﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InvokeSolutions.Docx;
using System.IO;
using InvokeSolutions.Docx.Data;
using System.Diagnostics;

namespace SampleOptionalSection
{
    class Program
    {
        static void Main(string[] args)
        {
            File.Copy("template.docx", "report.docx", true);

            // crate data source
            DocumentDataSource dataSource = new DocumentDataSource();

            // red
            dataSource["FF0000"] = new ColoredDataItem { Action = ColorAction.Remove };
            // green
            dataSource["00B050"] = new ColoredDataItem { Action = ColorAction.LeaveAndRemoveColor };
            // blue
            dataSource["0070C0"] = new ColoredDataItem { Action = ColorAction.Leave };

            dataSource["DISAPPEAR"] = new TableDataItem();
            // or 
            //dataSource["DISAPPEAR"] = DataItem.ConvertFrom(new int[0]);

            DocumentRenderer.ProcessDocument("report.docx", dataSource);

            Process.Start("report.docx");
        }
    }
}
